Journal¶
Search Journals¶
HTTP Request
POST /api/journals/payments/{principalPositionType}/{unitId}/search
📋 Description: Submits a request to search for payment records associated with a specific principal position type and unit ID within the Nakisa Portfolio Management Suite, facilitating enhanced analytics for portfolio and asset management in real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
Type of the principal position |
unitId |
path |
integer(int64) |
true |
Unique identifier for the unit |
body |
body |
true |
Request body containing search criteria and filters for retrieving payment information related to portfolio assets within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "displayIdIn": [
16 "string"
17 ],
18 "displayIdLike": "string",
19 "typeEqual": "PAYMENT",
20 "unitIdIn": [
21 0
22 ],
23 "periodIdIn": [
24 0
25 ]
26}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "type": "PAYMENT",
6 "date": {
7 "timing": "START_OF_DAY",
8 "year": 0,
9 "monthValue": 0,
10 "dayOfMonth": 0,
11 "dayOfWeek": "MONDAY",
12 "leapYear": true,
13 "dayOfYear": 0,
14 "month": "JANUARY"
15 },
16 "unitId": 0,
17 "periodId": 0,
18 "document": {
19 "createdBy": "string",
20 "lastModifiedBy": "string",
21 "createdDate": "2019-08-24T14:15:22Z",
22 "lastModifiedDate": "2019-08-24T14:15:22Z",
23 "archived": true,
24 "externalId": "string",
25 "id": 0,
26 "name": "string",
27 "title": "string",
28 "type": "string",
29 "description": "string",
30 "link": "string",
31 "signedDate": "2019-08-24",
32 "documentTypeId": 0,
33 "statusId": 0,
34 "shareable": true,
35 "size": 0,
36 "documentType": {
37 "createdBy": "string",
38 "lastModifiedBy": "string",
39 "createdDate": "2019-08-24T14:15:22Z",
40 "lastModifiedDate": "2019-08-24T14:15:22Z",
41 "archived": true,
42 "externalId": "string",
43 "id": 0,
44 "priority": 0,
45 "internalId": 0,
46 "pickListCode": "string",
47 "pickListLabel": "string",
48 "label": "string",
49 "cultureId": 0,
50 "labelDtos": [
51 {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "cultureId": 0,
60 "value": "string"
61 }
62 ]
63 },
64 "status": {
65 "createdBy": "string",
66 "lastModifiedBy": "string",
67 "createdDate": "2019-08-24T14:15:22Z",
68 "lastModifiedDate": "2019-08-24T14:15:22Z",
69 "archived": true,
70 "externalId": "string",
71 "id": 0,
72 "priority": 0,
73 "internalId": 0,
74 "pickListCode": "string",
75 "pickListLabel": "string",
76 "label": "string",
77 "cultureId": 0,
78 "labelDtos": [
79 {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "cultureId": 0,
88 "value": "string"
89 }
90 ]
91 }
92 },
93 "entries": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "type": "LIABILITY",
98 "translationType": "NONE",
99 "note": "string",
100 "balanced": true,
101 "credits": 0,
102 "debits": 0,
103 "journalId": 0,
104 "lines": [
105 {
106 "id": 0,
107 "displayId": "string",
108 "account": "string",
109 "accountCodeName": "string",
110 "accountCodeCaption": "string",
111 "drCr": "DEBIT",
112 "amount": 0,
113 "unroundedAmount": 0,
114 "deltaAdjustment": 0,
115 "tag": "string",
116 "vendorId": "string",
117 "currencyId": 0,
118 "currencyDisplayId": "string",
119 "currencyDefinitionType": "CONTRACT_CURRENCY",
120 "leaseClassificationType": "NON_LEASE",
121 "journalEntryId": 0,
122 "taxes": [
123 {
124 "id": 0,
125 "displayId": "string",
126 "taxCalculationType": "NET",
127 "taxDetermination": {
128 "id": 0,
129 "displayId": "string"
130 },
131 "taxExempt": 0,
132 "taxExemptionPercentage": 0,
133 "taxAffected": 0,
134 "unitId": 0,
135 "termId": 0,
136 "type": "PAYMENT",
137 "journalEntryLineId": 0,
138 "expenseCategory": {
139 "id": 0,
140 "displayId": "string",
141 "status": "CREATED",
142 "name": "string",
143 "expenseCategoryType": "PAYMENT"
144 },
145 "taxItems": [
146 {
147 "id": 0,
148 "displayId": "string",
149 "account": "string",
150 "accountCodeName": "string",
151 "accountCodeCaption": "string",
152 "drCr": "DEBIT",
153 "amount": 0,
154 "unroundedAmount": 0,
155 "deltaAdjustment": 0,
156 "cid": "string",
157 "journalEntryLineId": 0,
158 "translations": [],
159 "journalTaxDetail": {},
160 "numberRangeIdentifierType": {},
161 "numberRangeIdentifierValue": "string",
162 "allowsSystemGenerateNewId": true,
163 "numberRangeType": {}
164 }
165 ],
166 "numberRangeIdentifierType": {
167 "name": "string"
168 },
169 "numberRangeIdentifierValue": "string",
170 "allowsSystemGenerateNewId": true,
171 "numberRangeType": {
172 "name": "string"
173 }
174 }
175 ],
176 "translations": [
177 {
178 "id": 0,
179 "displayId": "string",
180 "drCr": "DEBIT",
181 "amount": 0,
182 "unroundedAmount": 0,
183 "deltaAdjustment": 0,
184 "translationRate": 0,
185 "translationDateTime": "2019-08-24",
186 "sourceCurrencyId": 0,
187 "sourceCurrencyDisplayId": "string",
188 "targetCurrencyId": 0,
189 "targetCurrencyDisplayId": "string",
190 "sourceCurrencyType": "CONTRACT_CURRENCY",
191 "translationDateType": "DOCUMENT_DATE",
192 "currencyDefinitionType": "CONTRACT_CURRENCY",
193 "depreciationAreaId": 0,
194 "depreciationAreaDisplayId": "string",
195 "unitId": 0,
196 "journalEntryLineId": 0,
197 "taxItemCid": "string",
198 "numberRangeIdentifierType": {
199 "name": "string"
200 },
201 "numberRangeIdentifierValue": "string",
202 "allowsSystemGenerateNewId": true,
203 "numberRangeType": {
204 "name": "string"
205 }
206 }
207 ],
208 "numberRangeIdentifierType": {
209 "name": "string"
210 },
211 "numberRangeIdentifierValue": "string",
212 "allowsSystemGenerateNewId": true,
213 "numberRangeType": {
214 "name": "string"
215 }
216 }
217 ],
218 "numberRangeIdentifierType": {
219 "name": "string"
220 },
221 "numberRangeIdentifierValue": "string",
222 "allowsSystemGenerateNewId": true,
223 "numberRangeType": {
224 "name": "string"
225 }
226 }
227 ],
228 "numberRangeIdentifierType": {
229 "name": "string"
230 },
231 "numberRangeIdentifierValue": "string",
232 "allowsSystemGenerateNewId": true,
233 "numberRangeType": {
234 "name": "string"
235 }
236 }
237]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a unit journal entry within the Nakisa Portfolio Management Suite, capturing essential details related to portfolio assets, analytics, and real estate properties.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» displayId |
string |
false |
none |
Unique identifier for the display |
» type |
string |
false |
none |
Type of the resource |
» date |
false |
none |
Data transfer object representing the specific time of day relevant to portfolio and asset management activities within the Nakisa Portfolio Management Suite, facilitating analytics and decision-making for real estate properties. |
|
»» timing |
string |
false |
none |
Text value for timing in TimeOfDay |
»» year |
integer(int32) |
false |
none |
Numeric value representing year |
»» monthValue |
integer(int32) |
false |
none |
Numeric value representing monthValue |
»» dayOfMonth |
integer(int32) |
false |
none |
Numeric value representing dayOfMonth |
»» dayOfWeek |
string |
false |
none |
Text value for dayOfWeek in TimeOfDay |
»» leapYear |
boolean |
false |
none |
Boolean flag indicating leapYear status |
»» dayOfYear |
integer(int32) |
false |
none |
Numeric value representing dayOfYear |
»» month |
string |
false |
none |
Text value for month in TimeOfDay |
» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
» periodId |
integer(int64) |
false |
none |
Unique identifier for the period |
» document |
false |
none |
Data transfer object representing a document within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» name |
string |
false |
none |
Name of the resource |
»» title |
string |
false |
none |
Title of the resource |
»» type |
string |
false |
none |
Type of the resource |
»» description |
string |
false |
none |
Description of the resource |
»» link |
string |
false |
none |
Text value for link in DocumentDto |
»» signedDate |
string(date) |
false |
none |
Date of the signed |
»» documentTypeId |
integer(int64) |
false |
none |
Unique identifier for the document type |
»» statusId |
integer(int64) |
false |
none |
Unique identifier for the status |
»» shareable |
boolean |
false |
none |
Boolean flag indicating shareable status |
»» size |
integer(int64) |
false |
none |
Number of items per page |
»» documentType |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» priority |
integer(int64) |
false |
none |
Priority of the resource |
»»» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
»»» pickListCode |
string |
false |
none |
Code for the pick list |
»»» pickListLabel |
string |
false |
none |
Label for the pick list |
»»» label |
string |
false |
none |
Label for the resource |
»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»» labelDtos |
false |
none |
List of labelDtos items |
|
»»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»»» value |
string |
true |
none |
Text value for value in LabelDto |
»» status |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
» entries |
false |
none |
List of entries items |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» type |
string |
false |
none |
Type of the resource |
»» translationType |
string |
false |
none |
Type of the translation |
»» note |
string |
false |
none |
Text value for note in UnitJournalEntryDto |
»» balanced |
boolean |
false |
none |
Boolean flag indicating balanced status |
»» credits |
number |
false |
none |
Value for credits field |
»» debits |
number |
false |
none |
Value for debits field |
»» journalId |
integer(int64) |
false |
none |
Unique identifier for the journal |
»» lines |
false |
none |
List of lines items |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» account |
string |
false |
none |
Number of portfolio items |
»»» accountCodeName |
string |
false |
none |
Name of the account code |
»»» accountCodeCaption |
string |
false |
none |
Text value for accountCodeCaption in UnitJournalEntryLineDto |
»»» drCr |
string |
false |
none |
Text value for drCr in UnitJournalEntryLineDto |
»»» amount |
number |
false |
none |
Amount value |
»»» unroundedAmount |
number |
false |
none |
Amount of unrounded |
»»» deltaAdjustment |
number |
false |
none |
Value for deltaAdjustment field |
»»» tag |
string |
false |
none |
Text value for tag in UnitJournalEntryLineDto |
»»» vendorId |
string |
false |
none |
Unique identifier for the vendor |
»»» currencyId |
integer(int64) |
false |
none |
Unique identifier for the currency |
»»» currencyDisplayId |
string |
false |
none |
Unique identifier for the currency display |
»»» currencyDefinitionType |
string |
false |
none |
Type of the currency definition |
»»» leaseClassificationType |
string |
false |
none |
Type of the lease classification |
»»» journalEntryId |
integer(int64) |
false |
none |
Unique identifier for the journal entry |
»»» taxes |
false |
none |
List of taxes items |
|
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»» taxCalculationType |
string |
false |
none |
Type of the tax calculation |
»»»» taxDetermination |
false |
none |
Data transfer object representing a unique identifier for assets within the Nakisa Portfolio Management Suite, facilitating effective portfolio analytics and management of real estate properties. |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»» taxExempt |
number |
false |
none |
Value for taxExempt field |
»»»» taxExemptionPercentage |
number |
false |
none |
Percentage of tax exemption |
»»»» taxAffected |
number |
false |
none |
Value for taxAffected field |
»»»» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
»»»» termId |
integer(int64) |
false |
none |
Unique identifier for the term |
»»»» type |
string |
false |
none |
Type of the resource |
»»»» journalEntryLineId |
integer(int64) |
false |
none |
Unique identifier for the journal entry line |
»»»» expenseCategory |
false |
none |
Data transfer object representing a simplified categorization of expenses within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics for real estate properties. |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»» status |
string |
false |
none |
Status of the resource |
»»»»» name |
string |
false |
none |
Name of the resource |
»»»»» expenseCategoryType |
string |
false |
none |
Type of the expense category |
»»»» taxItems |
false |
none |
List of taxItems items |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»» account |
string |
false |
none |
Number of portfolio items |
»»»»» accountCodeName |
string |
false |
none |
Name of the account code |
»»»»» accountCodeCaption |
string |
false |
none |
Text value for accountCodeCaption in JournalEntryLineTaxItemDto |
»»»»» drCr |
string |
false |
none |
Text value for drCr in JournalEntryLineTaxItemDto |
»»»»» amount |
number |
false |
none |
Amount value |
»»»»» unroundedAmount |
number |
false |
none |
Amount of unrounded |
»»»»» deltaAdjustment |
number |
false |
none |
Value for deltaAdjustment field |
»»»»» cid |
string |
false |
none |
Unique identifier for the portfolio |
»»»»» journalEntryLineId |
integer(int64) |
false |
none |
Unique identifier for the journal entry line |
»»»»» translations |
false |
none |
List of translations items |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»»» drCr |
string |
false |
none |
Text value for drCr in JournalEntryLineTranslationDto |
»»»»»» amount |
number |
false |
none |
Amount value |
»»»»»» unroundedAmount |
number |
false |
none |
Amount of unrounded |
»»»»»» deltaAdjustment |
number |
false |
none |
Value for deltaAdjustment field |
»»»»»» translationRate |
number |
false |
none |
Rate of translation |
»»»»»» translationDateTime |
string(date) |
false |
none |
Time of the translation date |
»»»»»» sourceCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the source currency |
»»»»»» sourceCurrencyDisplayId |
string |
false |
none |
Unique identifier for the source currency display |
»»»»»» targetCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the target currency |
»»»»»» targetCurrencyDisplayId |
string |
false |
none |
Unique identifier for the target currency display |
»»»»»» sourceCurrencyType |
string |
false |
none |
Type of the source currency |
»»»»»» translationDateType |
string |
false |
none |
Type of the translation date |
»»»»»» currencyDefinitionType |
string |
false |
none |
Type of the currency definition |
»»»»»» depreciationAreaId |
integer(int64) |
false |
none |
Unique identifier for the depreciation area |
»»»»»» depreciationAreaDisplayId |
string |
false |
none |
Unique identifier for the depreciation area display |
»»»»»» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
»»»»»» journalEntryLineId |
integer(int64) |
false |
none |
Unique identifier for the journal entry line |
»»»»»» taxItemCid |
string |
false |
none |
Unique identifier for the portfolio |
»»»»»» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»»»»»»» name |
string |
false |
none |
Name of the resource |
»»»»»» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in JournalEntryLineTranslationDto |
»»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»»»» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»»»»»»» name |
string |
false |
none |
Name of the resource |
»»»»» journalTaxDetail |
false |
none |
Data transfer object representing the tax details associated with a journal entry line within the Nakisa Portfolio Management Suite, facilitating accurate financial reporting and analytics for real estate property and asset management. |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»»» taxAmount |
number |
false |
none |
Amount of tax |
»»»»»» taxBaseAmount |
number |
false |
none |
Amount of tax base |
»»»»»» totalTaxDocumentAmount |
number |
false |
none |
Amount of total tax document |
»»»»»» taxRate |
number |
false |
none |
Rate of tax |
»»»»»» taxAccount |
string |
false |
none |
Number of portfolio items |
»»»»»» accountingKey |
string |
false |
none |
Text value for accountingKey in JournalEntryLineTaxDetailDto |
»»»»»» conditionKey |
string |
false |
none |
Represents the specific condition associated with the tax detail of a journal entry line, facilitating accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»»»»»» taxCodeId |
integer(int64) |
false |
none |
Unique identifier for the tax code |
»»»»»» taxCodeDisplayId |
string |
false |
none |
Unique identifier for the tax code display |
»»»»»» taxJurisdictionId |
integer(int64) |
false |
none |
Unique identifier for the tax jurisdiction |
»»»»»» taxJurisdictionDisplayId |
string |
false |
none |
Unique identifier for the tax jurisdiction display |
»»»»»» contractCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the contract currency |
»»»»»» contractCurrencyDisplayId |
string |
false |
none |
Unique identifier for the contract currency display |
»»»»»» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»»»»»» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in JournalEntryLineTaxDetailDto |
»»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»»»» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»»»»» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»»»»» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in JournalEntryLineTaxItemDto |
»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»»» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»»»» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»»»» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in JournalEntryLineTaxDto |
»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»»» translations |
false |
none |
List of translations items |
|
»»» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»»» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in UnitJournalEntryLineDto |
»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in UnitJournalEntryDto |
»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
» numberRangeIdentifierValue |
string |
false |
none |
Text value for numberRangeIdentifierValue in UnitJournalDto |
» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
Enumerated Values
Attribute |
Value |
|---|---|
currencyDefinitionType |
COMPANY_CURRENCY, CONTRACT_CURRENCY, MONTH_END_CURRENCY, REPORTING_CURRENCY, SECOND_LOCAL_CURRENCY, THIRD_LOCAL_CURRENCY |
dayOfWeek |
FRIDAY, MONDAY, SATURDAY, SUNDAY, THURSDAY, TUESDAY, WEDNESDAY |
drCr |
CREDIT, DEBIT |
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
leaseClassificationType |
DIRECT_FINANCING, FINANCE, LOW_VALUE, NON_LEASE, OPERATING, PROVISIONING, SALES_TYPE, SERVICE_CONTRACT, SHORT_TERM |
month |
APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER |
sourceCurrencyType |
COMPANY_CURRENCY, CONTRACT_CURRENCY, N_A |
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
taxCalculationType |
NET |
timing |
END_OF_DAY, START_OF_DAY |
translationDateType |
DOCUMENT_DATE, POSTING_DATE, TRANSLATION_DATE, nan |
translationType |
NONE, SPOT_RATE, WAE_RATE |
type |
ACCRUAL, ASSET_CAPITALIZATION, CHARGE, CLEARING, DEPRECIATION, GRV, HISTORY, IDC, IMPAIRMENT, INCENTIVE, LIABILITY, LIABILITY_ADJUSTMENT, LIABILITY_ADJUSTMENT_DECREASE, LIABILITY_ADJUSTMENT_INCREASE, LIABILITY_ADJUSTMENT_INDEXATION_DECREASE, LIABILITY_ADJUSTMENT_INDEXATION_INCREASE, MODIFICATION_CAPITALIZATION, MODIFICATION_CAPITALIZATION_ASSET_DECREASE, MODIFICATION_CAPITALIZATION_ASSET_INCREASE, MODIFICATION_CAPITALIZATION_INDEXATION_ASSET_DECREASE, MODIFICATION_CAPITALIZATION_INDEXATION_ASSET_INCREASE, NET_LEASE_INVESTMENT, NET_LEASE_INVESTMENT_ADJUSTMENT, PAYMENT, PREPAID, PROVISIONING, RECLASSIFICATION_ASSET_TRANSFER, RECLASSIFICATION_NON_ASSET_TRANSFER, RECOGNITION, TERMINATION, TERMINATION_ASSET, TERMINATION_CLOSED_LEDGER, TERMINATION_LIABILITY, TERMINATION_ROUNDING, URV, VOUCHER |
Calculate Tax¶
HTTP Request
POST /api/journals/calculate-tax
📋 Description: Calculates the applicable tax for specified assets within a portfolio in the Nakisa Portfolio Management Suite, enabling users to analyze financial implications for real estate properties efficiently.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the asset valuation data and associated parameters necessary for calculating tax implications within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "activationGroupRevisionId": 0,
3 "journalId": 0,
4 "journalType": "PAYMENT",
5 "unitId": 0,
6 "postingDate": "2019-08-24",
7 "documentDate": "2019-08-24",
8 "principalPositionType": "LESSEE"
9}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "success": true,
3 "message": "string",
4 "journalDto": {
5 "id": 0,
6 "displayId": "string",
7 "type": "PAYMENT",
8 "date": {
9 "timing": "START_OF_DAY",
10 "year": 0,
11 "monthValue": 0,
12 "dayOfMonth": 0,
13 "dayOfWeek": "MONDAY",
14 "leapYear": true,
15 "dayOfYear": 0,
16 "month": "JANUARY"
17 },
18 "unitId": 0,
19 "periodId": 0,
20 "document": {
21 "createdBy": "string",
22 "lastModifiedBy": "string",
23 "createdDate": "2019-08-24T14:15:22Z",
24 "lastModifiedDate": "2019-08-24T14:15:22Z",
25 "archived": true,
26 "externalId": "string",
27 "id": 0,
28 "name": "string",
29 "title": "string",
30 "type": "string",
31 "description": "string",
32 "link": "string",
33 "signedDate": "2019-08-24",
34 "documentTypeId": 0,
35 "statusId": 0,
36 "shareable": true,
37 "size": 0,
38 "documentType": {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "priority": 0,
47 "internalId": 0,
48 "pickListCode": "string",
49 "pickListLabel": "string",
50 "label": "string",
51 "cultureId": 0,
52 "labelDtos": [
53 {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "cultureId": 0,
62 "value": "string"
63 }
64 ]
65 },
66 "status": {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "priority": 0,
75 "internalId": 0,
76 "pickListCode": "string",
77 "pickListLabel": "string",
78 "label": "string",
79 "cultureId": 0,
80 "labelDtos": [
81 {
82 "createdBy": "string",
83 "lastModifiedBy": "string",
84 "createdDate": "2019-08-24T14:15:22Z",
85 "lastModifiedDate": "2019-08-24T14:15:22Z",
86 "archived": true,
87 "externalId": "string",
88 "id": 0,
89 "cultureId": 0,
90 "value": "string"
91 }
92 ]
93 }
94 },
95 "entries": [
96 {
97 "id": 0,
98 "displayId": "string",
99 "type": "LIABILITY",
100 "translationType": "NONE",
101 "note": "string",
102 "balanced": true,
103 "credits": 0,
104 "debits": 0,
105 "journalId": 0,
106 "lines": [
107 {
108 "id": 0,
109 "displayId": "string",
110 "account": "string",
111 "accountCodeName": "string",
112 "accountCodeCaption": "string",
113 "drCr": "DEBIT",
114 "amount": 0,
115 "unroundedAmount": 0,
116 "deltaAdjustment": 0,
117 "tag": "string",
118 "vendorId": "string",
119 "currencyId": 0,
120 "currencyDisplayId": "string",
121 "currencyDefinitionType": "CONTRACT_CURRENCY",
122 "leaseClassificationType": "NON_LEASE",
123 "journalEntryId": 0,
124 "taxes": [
125 {
126 "id": 0,
127 "displayId": "string",
128 "taxCalculationType": "NET",
129 "taxDetermination": {
130 "id": 0,
131 "displayId": "string"
132 },
133 "taxExempt": 0,
134 "taxExemptionPercentage": 0,
135 "taxAffected": 0,
136 "unitId": 0,
137 "termId": 0,
138 "type": "PAYMENT",
139 "journalEntryLineId": 0,
140 "expenseCategory": {
141 "id": 0,
142 "displayId": "string",
143 "status": "CREATED",
144 "name": "string",
145 "expenseCategoryType": "PAYMENT"
146 },
147 "taxItems": [
148 {
149 "id": 0,
150 "displayId": "string",
151 "account": "string",
152 "accountCodeName": "string",
153 "accountCodeCaption": "string",
154 "drCr": "DEBIT",
155 "amount": 0,
156 "unroundedAmount": 0,
157 "deltaAdjustment": 0,
158 "cid": "string",
159 "journalEntryLineId": 0,
160 "translations": [],
161 "journalTaxDetail": {},
162 "numberRangeIdentifierType": {},
163 "numberRangeIdentifierValue": "string",
164 "allowsSystemGenerateNewId": true,
165 "numberRangeType": {}
166 }
167 ],
168 "numberRangeIdentifierType": {
169 "name": "string"
170 },
171 "numberRangeIdentifierValue": "string",
172 "allowsSystemGenerateNewId": true,
173 "numberRangeType": {
174 "name": "string"
175 }
176 }
177 ],
178 "translations": [
179 {
180 "id": 0,
181 "displayId": "string",
182 "drCr": "DEBIT",
183 "amount": 0,
184 "unroundedAmount": 0,
185 "deltaAdjustment": 0,
186 "translationRate": 0,
187 "translationDateTime": "2019-08-24",
188 "sourceCurrencyId": 0,
189 "sourceCurrencyDisplayId": "string",
190 "targetCurrencyId": 0,
191 "targetCurrencyDisplayId": "string",
192 "sourceCurrencyType": "CONTRACT_CURRENCY",
193 "translationDateType": "DOCUMENT_DATE",
194 "currencyDefinitionType": "CONTRACT_CURRENCY",
195 "depreciationAreaId": 0,
196 "depreciationAreaDisplayId": "string",
197 "unitId": 0,
198 "journalEntryLineId": 0,
199 "taxItemCid": "string",
200 "numberRangeIdentifierType": {
201 "name": "string"
202 },
203 "numberRangeIdentifierValue": "string",
204 "allowsSystemGenerateNewId": true,
205 "numberRangeType": {
206 "name": "string"
207 }
208 }
209 ],
210 "numberRangeIdentifierType": {
211 "name": "string"
212 },
213 "numberRangeIdentifierValue": "string",
214 "allowsSystemGenerateNewId": true,
215 "numberRangeType": {
216 "name": "string"
217 }
218 }
219 ],
220 "numberRangeIdentifierType": {
221 "name": "string"
222 },
223 "numberRangeIdentifierValue": "string",
224 "allowsSystemGenerateNewId": true,
225 "numberRangeType": {
226 "name": "string"
227 }
228 }
229 ],
230 "numberRangeIdentifierType": {
231 "name": "string"
232 },
233 "numberRangeIdentifierValue": "string",
234 "allowsSystemGenerateNewId": true,
235 "numberRangeType": {
236 "name": "string"
237 }
238 }
239}
Get Payment Journal¶
HTTP Request
GET /api/journals/payment/{principalPositionType}/{periodId}/{unitId}
📋 Description: Retrieves payment information for journals based on the specified principal position type, period ID, and unit ID, facilitating portfolio and asset analysis within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
Type of the principal position |
periodId |
path |
integer(int64) |
true |
Unique identifier for the period |
unitId |
path |
integer(int64) |
true |
Unique identifier for the unit |
paymentDate |
query |
string |
true |
Date of the payment |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "displayId": "string",
4 "type": "PAYMENT",
5 "date": {
6 "timing": "START_OF_DAY",
7 "year": 0,
8 "monthValue": 0,
9 "dayOfMonth": 0,
10 "dayOfWeek": "MONDAY",
11 "leapYear": true,
12 "dayOfYear": 0,
13 "month": "JANUARY"
14 },
15 "unitId": 0,
16 "periodId": 0,
17 "document": {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "name": "string",
26 "title": "string",
27 "type": "string",
28 "description": "string",
29 "link": "string",
30 "signedDate": "2019-08-24",
31 "documentTypeId": 0,
32 "statusId": 0,
33 "shareable": true,
34 "size": 0,
35 "documentType": {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "priority": 0,
44 "internalId": 0,
45 "pickListCode": "string",
46 "pickListLabel": "string",
47 "label": "string",
48 "cultureId": 0,
49 "labelDtos": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "cultureId": 0,
59 "value": "string"
60 }
61 ]
62 },
63 "status": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "priority": 0,
72 "internalId": 0,
73 "pickListCode": "string",
74 "pickListLabel": "string",
75 "label": "string",
76 "cultureId": 0,
77 "labelDtos": [
78 {
79 "createdBy": "string",
80 "lastModifiedBy": "string",
81 "createdDate": "2019-08-24T14:15:22Z",
82 "lastModifiedDate": "2019-08-24T14:15:22Z",
83 "archived": true,
84 "externalId": "string",
85 "id": 0,
86 "cultureId": 0,
87 "value": "string"
88 }
89 ]
90 }
91 },
92 "entries": [
93 {
94 "id": 0,
95 "displayId": "string",
96 "type": "LIABILITY",
97 "translationType": "NONE",
98 "note": "string",
99 "balanced": true,
100 "credits": 0,
101 "debits": 0,
102 "journalId": 0,
103 "lines": [
104 {
105 "id": 0,
106 "displayId": "string",
107 "account": "string",
108 "accountCodeName": "string",
109 "accountCodeCaption": "string",
110 "drCr": "DEBIT",
111 "amount": 0,
112 "unroundedAmount": 0,
113 "deltaAdjustment": 0,
114 "tag": "string",
115 "vendorId": "string",
116 "currencyId": 0,
117 "currencyDisplayId": "string",
118 "currencyDefinitionType": "CONTRACT_CURRENCY",
119 "leaseClassificationType": "NON_LEASE",
120 "journalEntryId": 0,
121 "taxes": [
122 {
123 "id": 0,
124 "displayId": "string",
125 "taxCalculationType": "NET",
126 "taxDetermination": {
127 "id": 0,
128 "displayId": "string"
129 },
130 "taxExempt": 0,
131 "taxExemptionPercentage": 0,
132 "taxAffected": 0,
133 "unitId": 0,
134 "termId": 0,
135 "type": "PAYMENT",
136 "journalEntryLineId": 0,
137 "expenseCategory": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "expenseCategoryType": "PAYMENT"
143 },
144 "taxItems": [
145 {
146 "id": 0,
147 "displayId": "string",
148 "account": "string",
149 "accountCodeName": "string",
150 "accountCodeCaption": "string",
151 "drCr": "DEBIT",
152 "amount": 0,
153 "unroundedAmount": 0,
154 "deltaAdjustment": 0,
155 "cid": "string",
156 "journalEntryLineId": 0,
157 "translations": [
158 {}
159 ],
160 "journalTaxDetail": {
161 "id": 0,
162 "displayId": "string",
163 "taxAmount": 0,
164 "taxBaseAmount": 0,
165 "totalTaxDocumentAmount": 0,
166 "taxRate": 0,
167 "taxAccount": "string",
168 "accountingKey": "string",
169 "conditionKey": "string",
170 "taxCodeId": 0,
171 "taxCodeDisplayId": "string",
172 "taxJurisdictionId": 0,
173 "taxJurisdictionDisplayId": "string",
174 "contractCurrencyId": 0,
175 "contractCurrencyDisplayId": "string",
176 "numberRangeIdentifierType": {},
177 "numberRangeIdentifierValue": "string",
178 "allowsSystemGenerateNewId": true,
179 "numberRangeType": {}
180 },
181 "numberRangeIdentifierType": {
182 "name": "string"
183 },
184 "numberRangeIdentifierValue": "string",
185 "allowsSystemGenerateNewId": true,
186 "numberRangeType": {
187 "name": "string"
188 }
189 }
190 ],
191 "numberRangeIdentifierType": {
192 "name": "string"
193 },
194 "numberRangeIdentifierValue": "string",
195 "allowsSystemGenerateNewId": true,
196 "numberRangeType": {
197 "name": "string"
198 }
199 }
200 ],
201 "translations": [
202 {
203 "id": 0,
204 "displayId": "string",
205 "drCr": "DEBIT",
206 "amount": 0,
207 "unroundedAmount": 0,
208 "deltaAdjustment": 0,
209 "translationRate": 0,
210 "translationDateTime": "2019-08-24",
211 "sourceCurrencyId": 0,
212 "sourceCurrencyDisplayId": "string",
213 "targetCurrencyId": 0,
214 "targetCurrencyDisplayId": "string",
215 "sourceCurrencyType": "CONTRACT_CURRENCY",
216 "translationDateType": "DOCUMENT_DATE",
217 "currencyDefinitionType": "CONTRACT_CURRENCY",
218 "depreciationAreaId": 0,
219 "depreciationAreaDisplayId": "string",
220 "unitId": 0,
221 "journalEntryLineId": 0,
222 "taxItemCid": "string",
223 "numberRangeIdentifierType": {
224 "name": "string"
225 },
226 "numberRangeIdentifierValue": "string",
227 "allowsSystemGenerateNewId": true,
228 "numberRangeType": {
229 "name": "string"
230 }
231 }
232 ],
233 "numberRangeIdentifierType": {
234 "name": "string"
235 },
236 "numberRangeIdentifierValue": "string",
237 "allowsSystemGenerateNewId": true,
238 "numberRangeType": {
239 "name": "string"
240 }
241 }
242 ],
243 "numberRangeIdentifierType": {
244 "name": "string"
245 },
246 "numberRangeIdentifierValue": "string",
247 "allowsSystemGenerateNewId": true,
248 "numberRangeType": {
249 "name": "string"
250 }
251 }
252 ],
253 "numberRangeIdentifierType": {
254 "name": "string"
255 },
256 "numberRangeIdentifierValue": "string",
257 "allowsSystemGenerateNewId": true,
258 "numberRangeType": {
259 "name": "string"
260 }
261}